
#ifdef  __CA78K0R__
  #pragma  sfr
  #pragma  EI
  #pragma  DI
  #pragma  NOP
  #include  "RL78F14_vector.h"
  #include  "ICS2_typedef.h"

#elif   __CCRL__
  #include "iodefine.h"
  #include  <stdint.h>
  #include  "RL78F14_vector.h"

#elif   __ICCRL78__
  #include  <stdint.h>
  #include  <intrinsics.h>
  #include  <ior5f10ppj.h>
  #include  <ior5f10ppj_ext.h>
  #include  "RL78F14_vector.h"

  #endif

  
  #include  "ICS2_RL78F14.h"


#ifdef  __CA78K0R__
  __interrupt void  Excep_INTST0(void)  { int_ics_sci_tx(); }
  __interrupt void  Excep_INTSR0(void)  { int_ics_sci_rx(); }
  __interrupt void  Excep_INTST1(void)  { int_ics_sci_tx(); }
  __interrupt void  Excep_INTSR1(void)  { int_ics_sci_rx(); }

#elif   __CCRL__
              void  Excep_INTST0(void)  { int_ics_sci_tx();  }
              void  Excep_INTSR0(void)  { int_ics_sci_rx();  }
              void  Excep_INTST1(void)  { int_ics_sci_tx();  }
              void  Excep_INTSR1(void)  { int_ics_sci_rx();  }

#elif   __ICCRL78__
  __interrupt void  Excep_INTST0(void)  { int_ics_sci_tx();  }
  __interrupt void  Excep_INTSR0(void)  { int_ics_sci_rx();  }
  __interrupt void  Excep_INTST1(void)  { int_ics_sci_tx();  }
  __interrupt void  Excep_INTSR1(void)  { int_ics_sci_rx();  }

#endif






